Bug 111926 - [CI][BAT] igt@i915_selftest@live_workarounds - dmesg-fail - live_isolated_whitelist failed with error -22, live_dirty_whitelist failed with error -22
Summary: [CI][BAT] igt@i915_selftest@live_workarounds - dmesg-fail - live_isolated_whi...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: not set not set
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-08 16:46 UTC by Lakshmi
Modified: 2019-10-14 12:41 UTC (History)
1 user (show)

See Also:
i915 platform: GLK, ICL, KBL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-10-08 16:46:30 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5214/fi-icl-dsi/igt@i915_selftest@live_workarounds.html
(i915_selftest:4561) igt_kmod-WARNING: i915/intel_workarounds_live_selftests: live_dirty_whitelist failed with error -22
(i915_selftest:4561) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling DC off
(i915_selftest:4561) igt_kmod-WARNING: [drm:gen9_set_dc_state [i915]] Setting DC state from 02 to 00
(i915_selftest:4561) igt_kmod-WARNING: [drm:intel_combo_phy_init [i915]] Combo PHY A already enabled, won't reprogram it.
(i915_selftest:4561) igt_kmod-WARNING: [drm:intel_combo_phy_init [i915]] Combo PHY B already enabled, won't reprogram it.
(i915_selftest:4561) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling power well 2
(i915_selftest:4561) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling power well 3
(i915_selftest:4561) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling power well 4
(i915_selftest:4561) igt_kmod-WARNING: i915: probe of 0000:00:02.0 failed with error -22
(i915_selftest:4561) igt_kmod-CRITICAL: Test assertion failure function igt_kselftest_execute, file ../lib/igt_kmod.c:548:
(i915_selftest:4561) igt_kmod-CRITICAL: Failed assertion: err == 0
(i915_selftest:4561) igt_kmod-CRITICAL: kselftest "i915 igt__14__live_workarounds=1 live_selftests=-1 disable_display=1 st_filter=" failed: Invalid argument [22]

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7021/shard-kbl2/igt@i915_selftest@live_workarounds.html
i915_selftest:7145) igt_kmod-WARNING: i915/intel_workarounds_live_selftests: live_isolated_whitelist failed with error -22
(i915_selftest:7145) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling always-on
(i915_selftest:7145) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling DC off
(i915_selftest:7145) igt_kmod-WARNING: [drm:gen9_set_dc_state [i915]] Setting DC state from 02 to 00
(i915_selftest:7145) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling power well 2
(i915_selftest:7145) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling DDI A/E IO power well
(i915_selftest:7145) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling DDI B IO power well
(i915_selftest:7145) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling DDI C IO power well
(i915_selftest:7145) igt_kmod-WARNING: [drm:intel_power_well_enable [i915]] enabling DDI D IO power well
(i915_selftest:7145) igt_kmod-WARNING: i915: probe of 0000:00:02.0 failed with error -22
(i915_selftest:7145) igt_kmod-CRITICAL: Test assertion failure function igt_kselftest_execute, file ../lib/igt_kmod.c:548:
(i915_selftest:7145) igt_kmod-CRITICAL: Failed assertion: err == 0
(i915_selftest:7145) igt_kmod-CRITICAL: kselftest "i915 igt__14__live_workarounds=1 live_selftests=-1 disable_display=1 st_filter=" failed: Invalid argument [22]
Subtest live_workarounds failed.
Comment 1 CI Bug Log 2019-10-08 16:47:42 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* KBL: ICL: igt@i915_selftest@live_workarounds - dmesg-fail - live_isolated_whitelist failed with error -22, live_dirty_whitelist failed with error -22
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4990/fi-kbl-7500u/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4996/fi-kbl-7500u/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4996/fi-kbl-8809g/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4996/fi-kbl-guc/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4996/fi-kbl-r/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_4996/fi-kbl-x1275/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5073/fi-kbl-7500u/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5073/fi-kbl-8809g/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5073/fi-kbl-guc/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5073/fi-kbl-r/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5073/fi-kbl-soraka/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5073/fi-kbl-x1275/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14527/shard-kbl1/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_5214/fi-icl-dsi/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7021/shard-kbl2/igt@i915_selftest@live_workarounds.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_5125/fi-kbl-7500u/igt@i915_selftest@live_workarounds.html
Comment 2 Chris Wilson 2019-10-09 08:12:20 UTC
Judging by the values, it looks like a use-after-free, so I'm betting on

commit 41f0bc49f7f2014feab8b278fea2adaea6ccaf4e (HEAD -> drm-intel-next-queued, drm-intel/drm-intel-next-queued)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 9 07:17:59 2019 +0100

    drm/i915/selftests: Hold request reference over waits
    
    Take a reference on the request before submitting it to the HW and then
    waiting on it for selftest_workarounds. Once submitted, the request may
    be freed by a background worker, unless we take an extra reference for
    ourselves.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=111926
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20191009061759.3189-1-chris@chris-wilson.co.uk
Comment 3 CI Bug Log 2019-10-14 12:01:51 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL: ICL: igt@i915_selftest@live_workarounds - dmesg-fail - live_isolated_whitelist failed with error -22, live_dirty_whitelist failed with error -22 -}
{+ KBL GLK ICL: igt@i915_selftest@live_workarounds - dmesg-fail - live_isolated_whitelist failed with error -22, live_dirty_whitelist failed with error -22 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7051/fi-glk-dsi/igt@i915_selftest@live_workarounds.html
Comment 4 CI Bug Log 2019-10-14 12:35:00 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL GLK ICL: igt@i915_selftest@live_workarounds - dmesg-fail - live_isolated_whitelist failed with error -22, live_dirty_whitelist failed with error -22 -}
{+ SKL KBL GLK ICL: igt@i915_selftest@live_workarounds - dmesg-fail - live_isolated_whitelist failed with error -22, live_dirty_whitelist failed with error -22 +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7064/fi-skl-6600u/igt@i915_selftest@live_workarounds.html
Comment 5 Lakshmi 2019-10-14 12:37:10 UTC
(In reply to Chris Wilson from comment #2)
> Judging by the values, it looks like a use-after-free, so I'm betting on
> 
> commit 41f0bc49f7f2014feab8b278fea2adaea6ccaf4e (HEAD ->
> drm-intel-next-queued, drm-intel/drm-intel-next-queued)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Wed Oct 9 07:17:59 2019 +0100
> 
>     drm/i915/selftests: Hold request reference over waits
>     
>     Take a reference on the request before submitting it to the HW and then
>     waiting on it for selftest_workarounds. Once submitted, the request may
>     be freed by a background worker, unless we take an extra reference for
>     ourselves.
>     
>     References: https://bugs.freedesktop.org/show_bug.cgi?id=111926
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Reviewed-by: Mika Kuoppala <mika.kuoppala@linux.intel.com>
>     Link:
> https://patchwork.freedesktop.org/patch/msgid/20191009061759.3189-1-
> chris@chris-wilson.co.uk

Reopening the issue due to this failure
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7064/fi-skl-6600u/igt@i915_selftest@live_workarounds.html
Comment 6 Chris Wilson 2019-10-14 12:41:09 UTC
But was later fixed anyway.

commit cd9ba7b6e479ee5f71070f0c095f185e7cdc2eac
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 11 20:36:20 2019 +0100

    drm/i915/selftests: Serialise write to scratch with its vma binding


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.